complete -c tremor -n "__fish_use_subcommand" -s i -l instance -d 'Instance identifier' -r
complete -c tremor -n "__fish_use_subcommand" -s l -l logger-config -d 'Configuration for Log4RS' -r
complete -c tremor -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_use_subcommand" -s V -l version -d 'Print version information'
complete -c tremor -n "__fish_use_subcommand" -f -a "completions" -d 'Generate shell completions to stdout. Tries to guess the shell if no subcommand is given'
complete -c tremor -n "__fish_use_subcommand" -f -a "server" -d 'Tremor server'
complete -c tremor -n "__fish_use_subcommand" -f -a "test" -d 'Testing facilities'
complete -c tremor -n "__fish_use_subcommand" -f -a "dbg" -d 'Advanced debugging commands'
complete -c tremor -n "__fish_use_subcommand" -f -a "run" -d 'Run tremor script or query files against stdin or a json data archive, the data will be read from STDIN or an archive and written to STDOUT'
complete -c tremor -n "__fish_use_subcommand" -f -a "doc" -d 'Generates documention from tremor script files'
complete -c tremor -n "__fish_use_subcommand" -f -a "new" -d 'Creates a template tremor project'
complete -c tremor -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c tremor -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from server; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from server; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "run" -d 'Runs the tremor server process'
complete -c tremor -n "__fish_seen_subcommand_from server; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c tremor -n "__fish_seen_subcommand_from server; and __fish_seen_subcommand_from run" -s p -l pid -d 'Captures process id if set and stores in a file' -r
complete -c tremor -n "__fish_seen_subcommand_from server; and __fish_seen_subcommand_from run" -s a -l api-host -d 'The `host:port` to listen for the API' -r
complete -c tremor -n "__fish_seen_subcommand_from server; and __fish_seen_subcommand_from run" -s r -l recursion-limit -d 'function tail-recursion stack depth limit' -r
complete -c tremor -n "__fish_seen_subcommand_from server; and __fish_seen_subcommand_from run" -s n -l no-api -d 'Disable the API'
complete -c tremor -n "__fish_seen_subcommand_from server; and __fish_seen_subcommand_from run" -s d -l debug-connectors -d 'Loads the debug connectors'
complete -c tremor -n "__fish_seen_subcommand_from server; and __fish_seen_subcommand_from run" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from test" -s o -l report -d 'Should generate a test report to specified path' -r
complete -c tremor -n "__fish_seen_subcommand_from test" -s i -l includes -d 'Optional tags to filter test incusions by' -r
complete -c tremor -n "__fish_seen_subcommand_from test" -s e -l excludes -d 'Optional tags to filter test incusions by' -r
complete -c tremor -n "__fish_seen_subcommand_from test" -s t -l timeout -d 'Timeout in seconds for each test' -r
complete -c tremor -n "__fish_seen_subcommand_from test" -s v -l verbose -d 'Sets the level of verbosity (does not apply to logging)'
complete -c tremor -n "__fish_seen_subcommand_from test" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -s b -l no-banner -d 'Do not print the banner'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -s n -l no-highlight -d 'Do not highlight output'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -s r -l raw -d 'Do not output any formatting. Disables highlight, banner, line numbers'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -f -a "dot" -d 'Prints the .dot representation for a trickle file (you can use `| dot -Tpng -oout.png` to generate a picture)'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -f -a "ast" -d 'Prints the AST of the source'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -f -a "lex" -d 'Prints Lexemes'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -f -a "src" -d 'Prints source'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and not __fish_seen_subcommand_from dot; and not __fish_seen_subcommand_from ast; and not __fish_seen_subcommand_from lex; and not __fish_seen_subcommand_from src; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from dot" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from ast" -s x -l exprs-only -d 'only prints the expressions'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from ast" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from lex" -s p -l preprocess -d 'output the pre-processed source'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from lex" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from src" -s p -l preprocess -d 'output the pre-processed source'
complete -c tremor -n "__fish_seen_subcommand_from dbg; and __fish_seen_subcommand_from src" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from run" -s e -l encoder -d 'The codec to use for encoding the data' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -s d -l decoder -d 'The codec to use for decoding the data' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -s i -l infile -d 'Input file' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -s o -l outfile -d 'Output file' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -l preprocessor -d 'Preprocessors to pass data through before decoding' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -l postprocessor -d 'Postprocessor to pass data through after encoding' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -s p -l port -d 'Specifies the port that is printed to the output' -r
complete -c tremor -n "__fish_seen_subcommand_from run" -l interactive -d 'Should not output to consumed source / produced synthetic data or errors'
complete -c tremor -n "__fish_seen_subcommand_from run" -l pretty -d 'Should not pretty print data [ when in interactive mode ]'
complete -c tremor -n "__fish_seen_subcommand_from run" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from doc" -s i -l interactive -d 'Generates and prints to standard output'
complete -c tremor -n "__fish_seen_subcommand_from doc" -s h -l help -d 'Print help information'
complete -c tremor -n "__fish_seen_subcommand_from new" -s h -l help -d 'Print help information'
